<?php
/*
* Get more details about configuration settings in manual:
* http://opensolution.org/Quick.Cart/docs/ext/?id=en-requirements#7
*/
//define( 'DEVELOPER_MODE', true ); // After starting your page, comment out this line
if( defined( 'DEVELOPER_MODE' ) ){
  error_reporting( E_ALL | E_STRICT );
}

unset( $config, $aMenuTypes, $aPhotoTypes, $lang, $sMessage, $aSocialLinks, $aData, $aOrder );

/*
* If set to true, the logged on administrator will be able
* to see hidden pages (client-side)
*/
$config['hidden_shows'] = false;

/*
* Contains IP addresses from which logging in to admin panel is allowed
* Uncomment line below and type allowed IP addresses
*/
//$config['allowed_ips_admin_panel'] = Array( 'TYPE-YOUR-IP-HERE', 'TYPE-ANOTHER-IP-HERE-OR-DELETE-THIS' );

/*
* Add time difference (in minutes) between your local time and server time
*/
$config['time_diff'] = 0;

/*
* Administrator's login and password
*/
$config['login'] = "Patrick";
$config['pass'] = "logitechs";

/*
* Client-side default language
*/
$config['default_lang'] = "nl";

/*
* Admin panel language
*/
$config['admin_lang'] = "en";

/*
* Admin file name
*/
$config['admin_file'] = "admin.php";

/*
* CSS styles file
*/
$config['style'] = "style.css";

/*
* Directory of the current skin
*/
$config['skin'] = "default";

/*
* WYSIWYG editor
*/
$config['wysiwyg'] = true;

/*
* Inherit themes of pages from their parents
*/
$config['inherit_from_parents'] = false;

/*
* If should be sorting products option on pages
*/
$config['sorting_products'] = true;

/*
* If customer should recieve on email order details
*/
$config['send_customer_order_details'] = true;

/*
* Set true if you want enabled products commenting
*/
$config['products_comments'] = true;

/*
* Set true if you want enabled products voting
*/
$config['products_votes'] = true;

/*
* If customer should get link to order details
*/
$config['show_order_details_link'] = true;

/*
* Send email when new comment added
*/
$config['comment_send_email'] = false;

/*
* Admin gets email with order details from customer address
*/
$config['order_details_from_customer'] = false;

/*
* Set default image size and location in pages form
*/
$config['pages_default_image_size_details'] = 3;
$config['pages_default_image_size_list'] = 3;
$config['pages_default_image_location'] = 1;

/*
* Set default image size and location in products form
*/
$config['products_default_image_size_details'] = 3;
$config['products_default_image_size_list'] = 3;
$config['products_default_image_location'] = 1;

/*
* Set default subpages dispay mode
*/
$config['default_subpages_show'] = 2;

/*
* Set default menu
*/
$config['default_menu'] = 1;

/*
* If set to true language id will be added to url
*/
$config['language_in_url'] = false;

/*
* Language separator in url
*/
$config['language_separator'] = '_';

/*
* Define maximum product quantity in basket
*/
$config['max_product_quantity'] = 100;

/*
* Define maximum number of letters in product's name in admin list
*/
$config['max_product_name_in_list'] = 80;

/*
* Save each page's full description to a separate file
*/
$config['pages_full_description_to_file'] = false;

/*
* Save each products' full description to a separate file
*/
$config['products_full_description_to_file'] = false;

/*
* Perform search in files containing full descriptions. Setting this option to "true" will cause significant decrease in script's speed
*/
$config['search_in_files'] = true;

/*
* For better script performance set this value to "true". Bestselling product list will refresh once in a day
*/
$config['cache_bestsellers'] = false;

define( 'LANGUAGE_IN_URL', $config['language_in_url'] );
define( 'LANGUAGE_SEPARATOR', $config['language_separator'] );

$config['vat'] = "21";

$config['vat'] = "21";

$config['display_producer_name'] = false;

$config['display_expanded_menu'] = false;
$config['change_files_names'] = true;
$config['delete_unused_files'] = true;
$config['display_subcategory_products'] = false;
$config['copy_without_watermark'] = false;
$config['site_map_products'] = true;
$config['basket_summary'] = false;
$config['send_order_status_to_client'] = true;
$config['dynamic_meta_description'] = true;
$config['remember_basket'] = false;
$config['restore_backup'] = "0";

/*
* Define size of preview image. If you don't want to display preview then set null
*/
$config['image_preview_size'] = "";

$config['price_groups_limit'] = 3;
$config['user_send_email'] = true;
$config['user_confirmation_email'] = false;
$config['column_login_form'] = false;
$config['comments_by_logged_users_only'] = true;

/*
* To run FACEBOOK CONNECT on your site login to http://developers.facebook.com/, then go to "Apps" and "Create New App". You need only to type name of your app.
* After you create it in "Settings -> Basic" select "Website with Facebook Login" and fill in "Site URL" field with your page url.
* Required to add "email" in "Settings -> Contact Email" and also you need to make your app available to the general public in "Status & Review" panel
* Then you just need to copy "App ID" and "App Secret" from your new app ("Settings" panel) to variables below
*/
$config['fbAppId'] = '';
$config['fbAppSecret'] = '';
if( !empty( $config['fbAppId'] ) )
  define( 'FB_APP_ID', $config['fbAppId'] );

$config['save_stats'] = true;
$config['save_searched_phrases'] = true;
$config['save_files_stats'] = true;
$config['exclude_stats_robots'] = 'spider|crawler|curl|google|Ezooms|bot|Slurp|yandex|yahoo';
$config['images_sizes'] = array ( 0 => 140, 1 => 320, 2 => 75, 3 => 150, 4 => 180 );
$config['thumbs_ratios'] = Array( '1' => '1:1', '0.75' => '4:3' );
$config['max_dimension_of_image'] = 900;
$config['related_columns'] = 3;
$config['admin_list'] = "70";
$config['thumbs_ratio'] = "";
$config['max_textarea_chars'] = 4000;
$config['max_text_chars'] = 255;

$config['stock_show_level_for_client'] = true;
$config['stock_send_admin_min'] = "5";

$config['iLTPLimit'] = 7;

/*
* Allowed extensions to upload on server
*/
$config['allowed_extensions'] = 'pdf|swf|doc|docx|txt|xls|ppt|rtf|odt|ods|odp|rar|zip|7z|bz2|tar|gz|tgz|arj|jpg|jpeg|gif|png|mp3';

/*
* If set to true, main page name will be displayed in TITLE
*/
$config['display_homepage_name_title'] = false;

/*
* If the server does not allow sending emails from addresses
* that are not configured on it, type value:
* 1 - emails will be sent from the email defined in the configuration or the client's email (when using contact form)
* 2 - emails will be sent from your default e-mail address configured on the server (not in the configuration script)
* 3 - all emails will be sent from the email address defined in the configuration
*/
$config['emails_from_header_option'] = 1;

/*
* Options: true - display voucher form (script changes it to false when all vouchers will be removed), false - do not display voucher form (script changes it to true when some voucher will be added), null - do not display voucher form (will not be changed by script)
*/
$config['show_vouchers_form'] = true;

/*
* Percentage vouchers is set to lang if "true" else percentage vouchers are global
*/
$config['percent_vouchers_set_to_lang'] = true;

$config['before_amp'] = !strstr( $_SERVER['REQUEST_URI'], '?' ) ? '?' : null;

/*
* Should the current page name in the navigation path be a link?
* if not, set to: false
*/
$config['page_link_in_navigation_path'] = true;

/*
* Include language parameter in the link to a page and product preview
*/
$config['display_lang_preview_link'] = true;

/*
* Page/product elements to be displayed in lists and boxes
* http://opensolution.org/Quick.Cart/docs/ext/?id=en-requirements#7
* Available options for products: 'image', 'name', 'description', 'price', 'basket', 'more'
* Available options for pages: 'image', 'name', 'description', 'date', 'more' ('date' option is available when 'news' plugin is installed)
*/
$config['promoted_products_elements'] = Array( 'image', 'name', 'price' );
$config['products_related_elements'] = Array( 'image', 'name', 'price' );
$config['default_boxes_product_elements'] = Array( 'image', 'name', 'price' );
$config['default_boxes_page_elements'] = Array( 'image', 'name', 'description' );

/*
* Advanced elements visibility
* If you don't want them to be displayed, set to: true
*
* Note! You can hide more elements. For more details read the manual:
* http://opensolution.org/Quick.Cart/docs/ext/?id=en-requirements#6b
*/
$config['hide_thumbnails_2'] = true; // thumbnail 2 visibility, default: true
$config['hide_theme'] = null; // hiding theme select field, default: null

/*
* List of plugins activated (value: true) and deactivated (value: null)
*/
$config['plugins']['related'] = true; // related products option
$config['plugins']['boxes'] = true; // boxes option
$config['plugins']['vouchers'] = true; // vouchers option
$config['plugins']['plugins'] = true; // plugin installer option
$config['plugins']['comments'] = true; // comments option
$config['plugins']['bestsellers'] = true; // bestsellers option
$config['plugins']['invoice'] = true; // invoice option
$config['plugins']['payments-outer'] = true; // payments gateways option
$config['plugins']['features'] = true; // features option
$config['plugins']['delivery-advanced'] = true; // advanced delivery option
$config['plugins']['import-export'] = true; // import/export option

/*
* Date formats
*/
$config['date_format_admin_default'] = 'Y-m-d H:i';
$config['date_format_customer_users'] = 'Y-m-d H:i';
$config['date_format_admin_stats'] = 'Y-m-d';
$config['date_format_admin_orders'] = 'Y-m-d H:i';
$config['date_format_customer_orders'] = 'Y-m-d H:i';
$config['date_format_customer_comments'] = 'Y-m-d H:i';

/*
* Directories
*/
$config['dir_core'] = 'core/';
$config['dir_database'] = 'database/';
$config['dir_database_pages'] = $config['dir_database'].'pages/';
$config['dir_database_products'] = $config['dir_database'].'products/';
$config['dir_libraries'] = $config['dir_core'].'libraries/';
$config['dir_lang'] = $config['dir_database'].'translations/';
$config['dir_templates'] = 'templates/';
$config['dir_skin'] = $config['dir_templates'].$config['skin'].'/';
$config['dir_files'] = 'files/';
$config['dir_plugins'] = 'plugins/';

require_once $config['dir_core'].'common.php';

$config['cookie_admin'] = defined( 'CUSTOMER_PAGE' ) ? null : 'A';

if( defined( 'CUSTOMER_PAGE' ) && !isset( $sLang ) && LANGUAGE_IN_URL === true )
  $sLang = getLanguageFromUrl( );

$config['change_language_to_polish'] = true;
if( !defined( 'CUSTOMER_PAGE' ) && !empty( $_SERVER['HTTP_ACCEPT_LANGUAGE'] ) && $config['change_language_to_polish'] === true && preg_match( '/pl-|pl,|^pl$/', $_SERVER['HTTP_ACCEPT_LANGUAGE'] ) ){
  if( isset( $_POST['admin_lang'] ) && strlen( $_POST['admin_lang'] ) == 2 ){
    setCookie( 'sAdminLanguage', $_POST['admin_lang'], time( ) + 86400 );
    $_COOKIE['sAdminLanguage'] = $_POST['admin_lang'];
  }
  if( $config['admin_lang']!='pl' && !isset( $_COOKIE['sAdminLanguage'] ) ){
    setCookie( 'sAdminLanguage', 'pl', time( ) + 86400 );
    $_COOKIE['sAdminLanguage'] = 'pl';
  }
  if( isset( $_COOKIE['sAdminLanguage'] ) )
    $config['admin_lang']= $_COOKIE['sAdminLanguage'];
}

if( isset( $sLang ) && is_file( $config['dir_lang'].$sLang.'.php' ) && strlen( $sLang ) == 2 ){
  setCookie( 'sLanguage'.$config['cookie_admin'], $sLang, time( ) + 86400 );
  define( 'LANGUAGE', $sLang );
}
else{
  if( !empty( $_COOKIE['sLanguage'.$config['cookie_admin']] ) && is_file( $config['dir_lang'].$_COOKIE['sLanguage'.$config['cookie_admin']].'.php' ) && strlen( $_COOKIE['sLanguage'.$config['cookie_admin']] ) == 2 )
    define( 'LANGUAGE', $_COOKIE['sLanguage'.$config['cookie_admin']] );
  else
    define( 'LANGUAGE', $config['default_lang'] );
}

require_once defined( 'CUSTOMER_PAGE' ) ? $config['dir_lang'].LANGUAGE.'.php' : ( is_file( $config['dir_lang'].$config['admin_lang'].'.php' ) ? $config['dir_lang'].$config['admin_lang'].'.php' : $config['dir_lang'].LANGUAGE.'.php' );

$aMenuTypes = Array( 0 => $lang['Menu_0'], 1 => $lang['Menu_1'], 2 => $lang['Menu_2'], 3 => $lang['Menu_3'], 4 => 'Winkelwagen' );
$aPhotoTypes = Array( 0 => $lang['Hidden'], 1 => $lang['Left'], 2 => $lang['Right'], 3 => $lang['Top'], 4 => $lang['Bottom'] );
$aBoxesTypes = Array( 1 => $lang['Left'], 2 => $lang['Top'], 3 => $lang['Bottom'] );
$aOuterPaymentOption = Array( 1 => 'DotPay', 2 => 'Przelewy24', 3 => 'PayPal', 4 => 'PayU (Platnosci.pl)', 5 => 'eRaty Santander Consumer Bank', 6 => 'Moneybookers', 7 => 'Buckaroo.nl', 8 => 'eService', 9 => 'Transferuj.pl' );

// iDEAL Checkout addition

$aOuterPaymentOption[42] = 'MisterCash';
$aOuterPaymentOption[43] = 'iDEAL';
$aOuterPaymentOption[44] = 'AfterPay';
$aOuterPaymentOption[45] = 'Authorized Transfer';
$aOuterPaymentOption[46] = 'Cartebleue';
$aOuterPaymentOption[47] = 'ClickandBuy';
$aOuterPaymentOption[48] = 'CreditCard';
$aOuterPaymentOption[49] = 'DirectEBanking';
$aOuterPaymentOption[50] = 'eBon';
$aOuterPaymentOption[51] = 'FasterPay';
$aOuterPaymentOption[52] = 'GiroPay';
$aOuterPaymentOption[53] = 'Maestro';
$aOuterPaymentOption[54] = 'ManualTransfer';
$aOuterPaymentOption[55] = 'MasterCard';
$aOuterPaymentOption[56] = 'Minitix';
$aOuterPaymentOption[57] = 'PayPal';
$aOuterPaymentOption[58] = 'PaysafeCard';
$aOuterPaymentOption[59] = 'PostePay';
$aOuterPaymentOption[60] = 'Visa';
$aOuterPaymentOption[61] = 'vPay';
$aOuterPaymentOption[62] = 'WebshopGiftcard';

// End idealcheckout addition

$config['config'] = $config['dir_database'].'config/general.php';
$config['config_lang'] = $config['dir_database'].'config/lang_'.LANGUAGE.'.php';

$config_db['pages'] = $config['dir_database'].LANGUAGE.'_pages.php';
$config_db['pages_files'] = $config['dir_database'].LANGUAGE.'_pages_files.php';
$config_db['newsletter'] = $config['dir_database'].'newsletter.php';
define( 'DB_NEWSLETTER', $config_db['newsletter'] );
$config['confirm_email'] = false;
$config_db['products'] = $config['dir_database'].LANGUAGE.'_products.php';
$config_db['products_pages'] = $config['dir_database'].LANGUAGE.'_products_pages.php';
$config_db['products_files'] = $config['dir_database'].LANGUAGE.'_products_files.php';
$config_db['products_ext'] = $config['dir_database'].LANGUAGE.'_products_ext.php';
$config_db['products_mods'] = $config['dir_database'].LANGUAGE.'_products_mods.php';
$config_db['payments_shipping'] = $config['dir_database'].LANGUAGE.'_payments_shipping.php';
$config_db['boxes'] = $config['dir_database'].LANGUAGE.'_boxes.php';
$config_db['orders_temp'] = $config['dir_database'].'orders_temp.php';
$config_db['orders'] = $config['dir_database'].'orders.php';
$config_db['orders_products'] = $config['dir_database'].'orders_products.php';
$config_db['orders_ext'] = $config['dir_database'].'orders_ext.php';
$config_db['orders_mods'] = $config['dir_database'].'orders_mods.php';
$config_db['discount_vouchers']= $config['dir_database'].'discount_vouchers.php';
$config_db['plugins'] = $config['dir_database'].'plugins.php';
$config_db['producers'] = $config['dir_database'].LANGUAGE.'_producers.php';
$config_db['pages_stats'] = $config['dir_database'].LANGUAGE.'_pages_stats.php';
$config_db['products_stats'] = $config['dir_database'].LANGUAGE.'_products_stats.php';
$config_db['searched_words'] = $config['dir_database'].LANGUAGE.'_searched_words.php';
$config_db['files_stats'] = $config['dir_database'].'files_stats.php';
$config_db['admins'] = $config['dir_database'].'admins.php';
$config_db['admins_logged'] = $config['dir_database'].'admins_logged.php';
$config_db['users'] = $config['dir_database'].'users.php';
$config_db['users_groups'] = $config['dir_database'].'users_groups.php';
$config_db['pages_comments'] = $config['dir_database'].LANGUAGE.'_pages_comments.php';
$config_db['products_comments'] = $config['dir_database'].LANGUAGE.'_products_comments.php';
$config_db['features'] = $config['dir_database'].LANGUAGE.'_features.php';
$config_db['bestsellers_cache'] = $config['dir_database'].LANGUAGE.'_bestsellers_cache.php';

$config['language'] = LANGUAGE;
$config['version'] = '6.5';

$config['last_login'] = "1423471584";
$config['before_last_login'] = "1423469579";

$config['watermark_img'] = "";

$config['manual_link'] = 'http://opensolution.org/Quick.Cart/docs/ext/?id='.( ( $config['admin_lang']=='pl' ) ? 'pl' : 'en' ).'-';
$config['upgrade_file'] = "http://opensolution.org/download/Quick.Cart/bugFixes.php";
$config['upgrade_link'] = 'http://opensolution.org/extras/Quick.Cart/Quick.Cart.Ext_bugFixes.html';
$config['plugins_screenshots_qcext'] = 'http://opensolution.org/download/Quick.Cart/plugins/_screenshots/';
$config['plugins_download_qcext'] = 'http://opensolution.org/extras/';
$config['plugins_manual_qcext'] = 'http://opensolution.org/?p=extra&amp;';
$config['plugins_list'] = 'http://opensolution.org/download/';

$config['default_pages_template'] = "page.php";
$config['default_products_template'] = "product.php";

define( 'DIR_CORE', $config['dir_core'] );
define( 'DIR_DATABASE', $config['dir_database'] );
define( 'DIR_DATABASE_PAGES', $config['dir_database_pages'] );
define( 'DIR_DATABASE_PRODUCTS', $config['dir_database_products'] );
define( 'DIR_FILES', $config['dir_files'] );
define( 'DIR_LIBRARIES', $config['dir_libraries'] );
define( 'DIR_PLUGINS', $config['dir_plugins'] );
define( 'DIR_LANG', $config['dir_lang'] );
define( 'DIR_TEMPLATES', $config['dir_templates'] );
define( 'DIR_SKIN', $config['dir_skin'] );
define( 'DIR_BACKUP', DIR_FILES.'backup/' );
define( 'DIR_WATERMARK', DIR_FILES.'watermark/' );
define( 'DIR_RAW_IMAGES', DIR_WATERMARK.'raw_images/' );
define( 'DIR_FILES_PLUGINS', DIR_FILES.'plugins/' );

define( 'DB_PAGES', $config_db['pages'] );
define( 'DB_PAGES_FILES', $config_db['pages_files'] );
define( 'DB_PRODUCTS', $config_db['products'] );
define( 'DB_PRODUCTS_FILES', $config_db['products_files'] );
define( 'DB_PRODUCTS_PAGES', $config_db['products_pages'] );
define( 'DB_PRODUCTS_EXT', $config_db['products_ext'] );
define( 'DB_PRODUCTS_MODS', $config_db['products_mods'] );
define( 'DB_PAYMENTS_SHIPPING', $config_db['payments_shipping'] );
define( 'DB_BOXES', $config_db['boxes'] );
define( 'DB_PLUGINS', $config_db['plugins'] );
define( 'DB_PAGES_STATS', $config_db['pages_stats'] );
define( 'DB_PRODUCTS_STATS', $config_db['products_stats'] );
define( 'DB_SEARCHED_WORDS', $config_db['searched_words'] );
define( 'DB_FILES_STATS', $config_db['files_stats'] );
define( 'DB_ADMINS', $config_db['admins'] );
define( 'DB_ADMINS_LOGGED', $config_db['admins_logged'] );
define( 'DB_USERS', $config_db['users'] );
define( 'DB_USERS_GROUPS', $config_db['users_groups'] );
define( 'DB_ORDERS_TEMP', $config_db['orders_temp'] );
define( 'DB_ORDERS', $config_db['orders'] );
define( 'DB_ORDERS_PRODUCTS', $config_db['orders_products'] );
define( 'DB_ORDERS_EXT', $config_db['orders_ext'] );
define( 'DB_ORDERS_MODS', $config_db['orders_mods'] );
define( 'DB_DISCOUNT_VOUCHERS', $config_db['discount_vouchers'] );
define( 'DB_PAGES_COMMENTS', $config_db['pages_comments'] );
define( 'DB_PRODUCTS_COMMENTS', $config_db['products_comments'] );
define( 'DB_FEATURES', $config_db['features'] );
define( 'DB_BESTSELLERS_CACHE', $config_db['bestsellers_cache'] );
define( 'DB_PRODUCERS', $config_db['producers'] );

define( 'DB_CONFIG', $config['config'] );
define( 'DB_CONFIG_LANG', $config['config_lang'] );
define( 'DB_FAILED_LOGS', DIR_DATABASE.'logs.txt' );

define( 'MAX_DIMENSION_OF_IMAGE', $config['max_dimension_of_image'] );
define( 'HIDDEN_SHOWS', $config['hidden_shows'] );
define( 'DISPLAY_EXPANDED_MENU', $config['display_expanded_menu'] );
define( 'WYSIWYG', $config['wysiwyg'] );
define( 'SAVE_STATS', $config['save_stats'] );
define( 'SAVE_SEARCHED_PHRASES', $config['save_searched_phrases'] );
define( 'SAVE_FILES_STATS', $config['save_files_stats'] );
define( 'VERSION', $config['version'] );
define( 'TIME_DIFF', $config['time_diff'] );
define( 'SESSION_KEY_NAME', md5( dirname( $_SERVER['SCRIPT_FILENAME'] ) ) );
define( 'DISPLAY_SUBCATEGORY_PRODUCTS', $config['display_subcategory_products'] );
define( 'PRICE_GROUPS_LIMIT', $config['price_groups_limit'] );
define( 'STOCK_SHOW_LEVEL_FOR_CLIENT', $config['stock_show_level_for_client'] );
define( 'STOCK_SEND_ADMIN_MIN', $config['stock_send_admin_min'] );
define( 'WATERMARK_IMG', !empty( $config['watermark_img'] ) ? DIR_WATERMARK.$config['watermark_img'] : null );

if( defined( 'DEVELOPER_MODE' ) ){
  $sValue = (float) phpversion( );
  if( $sValue < '5.2' )
    exit( '<h1>Required PHP version is <u>5.2.0</u>, your version is '.phpversion( ).'</h1>' );
  elseif( defined( 'ADMIN_PAGE' ) && ( !is_file( $config_db['pages'] ) || ( is_file( $config_db['pages'] ) && !is_writable( $config_db['pages'] ) ) ) ){
    exit( '<h1>File <u>'.$config_db['pages'].'</u> not exists or is not writable</h1>' );
  }
}
?>