<?php
if( !defined( 'CUSTOMER_PAGE' ) )
  exit;

if( $config['plugins']['payments-outer'] === true && !empty( $aOrder['iPaymentSystem'] ) && isset( $aOuterPaymentOption[$aOrder['iPaymentSystem']] ) ){
  require_once DIR_CORE.'payments.php';
  
  $aUrl = throwSiteUrls( );
  $iSessionId = $iOrder.'_'.rand( 0, 99 );
  $aStreet = throwStreetDetails( $aOrder['sStreet'] );
  if( isset( $oOrder->aOrders[$iOrder]['fOrderSummary'] ) ){
    $fOrderSummary = $oOrder->aOrders[$iOrder]['fOrderSummary'];
    $iAmount =  sprintf( '%01.2f', $fOrderSummary ) * 100;
  }
  else
    $fOrderSummary = $iAmount = 0;



  $sPaymentOuterForm = null;
  if( $aOrder['iPaymentSystem'] == 1 ){ // dotpay
    $sGatewayUrl = 'https://ssl.dotpay.pl/';
    $aPaymentFields = Array( 'id' => $config['dotpay_id'], 'lang' => $config['language'], 'potw' => 0, 'email_potw' => '', 'as' => 'yes', 'kwota' => $fOrderSummary, 'waluta' => $config['currency_symbol'], 'opis' => 'ID '.$iOrder, 'kanal' => $aOrder['mPaymentChannel'], 'URL' => $aUrl['sHomeUrl'].'?,return,payment', 'URLC' => $aUrl['sHomeUrl'].'?,notify,payment', 'type' => 3, 'control' => $iSessionId, 'forename' => $aOrder['sFirstName'], 'surname' => $aOrder['sLastName'], 'street' => $aStreet['sStreetName'], 'street_n1' => $aStreet['sStreetNumber1'], 'street_n2' => $aStreet['sStreetNumber2'], 'city' => $aOrder['sCity'], 'postcode' => $aOrder['sZipCode'], 'country' => '', 'email' => $aOrder['sEmail'], 'phone' => $aOrder['sPhone'] );
  }
  elseif( $aOrder['iPaymentSystem'] == 2 ){ // przelewy24
    $sCRC = md5( $iSessionId.'|'.trim($config['przelewy24_id']).'|'.$iAmount.'|'.trim($config['przelewy24_crc']) );
    $oOrder->saveOrderPayment( Array( 'iOrder' => $iOrder, 'iAmount' => $iAmount ) );
    $sGatewayUrl = 'https://secure.przelewy24.pl/index.php';
    $aPaymentFields = Array( 'p24_session_id' => $iSessionId, 'p24_id_sprzedawcy' => $config['przelewy24_id'], 'p24_kwota' => $iAmount, 'p24_klient' => $aOrder['sFirstName'].' '.$aOrder['sLastName'], 'p24_adres' => $aOrder['sStreet'], 'p24_kod' => $aOrder['sZipCode'], 'p24_miasto' => $aOrder['sCity'], 'p24_kraj' => 'PL', 'p24_email' => $aOrder['sEmail'], 'p24_return_url_ok' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=OK', 'p24_return_url_error' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL', 'p24_metoda' => $aOrder['mPaymentChannel'], 'p24_opis' => 'ID '.$iOrder, 'p24_language' => $config['language'], 'p24_crc' => $sCRC );
  }
  elseif( $aOrder['iPaymentSystem'] == 3 ){ // paypal
    $sGatewayUrl = 'https://www.paypal.com/cgi-bin/webscr';
    $aPaymentFields = Array( 'cmd' => '_cart', 'upload' => 1, 'tx' => $iOrder, 'business' => $config['paypal_email'], 'item_name_1' => 'ID '.$iOrder, 'amount_1' => $fOrderSummary, 'currency_code' => $config['currency_symbol'], 'return' => $aUrl['sHomeUrl'].'?,return,payment', 'notify_url' => $aUrl['sHomeUrl'].'?,notify,payment', 'rm' => 2, 'charset' => $config['charset'], 'custom' => $iSessionId );
  }
  elseif( $aOrder['iPaymentSystem'] == 4 ){ // platnosci
    $iTimeStamp = time( );
    $sSig = md5( trim($config['platnosci_id']).$aOrder['mPaymentChannel'].$iSessionId.trim($config['platnosci_pos_auth_key']).$iAmount.'ID '. $iOrder.$iOrder.$aOrder['sFirstName'].$aOrder['sLastName'].$aStreet['sStreetName'].$aStreet['sStreetNumber1'].$aStreet['sStreetNumber2'].$aOrder['sCity'].$aOrder['sZipCode'].$aOrder['sEmail'].$aOrder['sPhone'].'PL'.$_SERVER['REMOTE_ADDR'].$iTimeStamp.trim($config['platnosci_key1']) );
    $sGatewayUrl = 'https://www.platnosci.pl/paygw/UTF/NewPayment';
    $aPaymentFields = Array( 'pos_id' => $config['platnosci_id'], 'pos_auth_key' => $config['platnosci_pos_auth_key'], 'pay_type' => $aOrder['mPaymentChannel'], 'session_id' => $iSessionId, 'amount' => $iAmount, 'desc' => 'ID '.$iOrder, 'order_id' => $iOrder, 'first_name' => $aOrder['sFirstName'], 'last_name' => $aOrder['sLastName'], 'street' => $aStreet['sStreetName'], 'street_hn' => $aStreet['sStreetNumber1'], 'street_an' => $aStreet['sStreetNumber2'], 'city' => $aOrder['sCity'], 'post_code' => $aOrder['sZipCode'], 'country' => '', 'email' => $aOrder['sEmail'], 'phone' => $aOrder['sPhone'], 'language' => 'PL', 'client_ip' => $_SERVER['REMOTE_ADDR'], 'sig' => $sSig, 'ts' => $iTimeStamp );
    $sPaymentOuterForm .= '<input type="hidden" name="js" id="oJsEnabled" value="0" /><script type="text/javascript">gEBI( "oJsEnabled" ).value = 1;</script>';
  }
  elseif( $aOrder['iPaymentSystem'] == 5 ){ // eraty
    $sPaymentOuterForm .= listProductsZagiel( $oOrder, $iOrder );
    $sGatewayUrl = 'https://wniosek.eraty.pl/formularz';
    $aPaymentFields = Array( 'numerSklepu' => $config['zagiel_id'], 'typProduktu' => 0, 'wariantSklepu' => 1, 'nrZamowieniaSklep' => $iOrder, 'pesel' => '', 'imie' => $aOrder['sFirstName'], 'nazwisko' => $aOrder['sLastName'], 'email' => $aOrder['sEmail'], 'telKontakt' => $aOrder['sPhone'], 'ulica' => $aStreet['sStreetName'], 'nrDomu' => $aStreet['sStreetNumber1'], 'nrMieszkania' => $aStreet['sStreetNumber2'], 'miasto' => $aOrder['sCity'], 'kodPocz' => $aOrder['sZipCode'], 'char' => 'UTF', 'wniosekZapisany' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=OK&amp;', 'wniosekAnulowany' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL&amp;' );
  }
  elseif( $aOrder['iPaymentSystem'] == 6 ){ // moneybookers
    $sGatewayUrl = 'https://www.moneybookers.com/app/payment.pl';
    $aPaymentFields = Array( 'pay_to_email' => $config['moneybookers_email'], 'return_url' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=OK', 'return_url_target' => 1, 'cancel_url' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL', 'status_url' => $aUrl['sHomeUrl'].'?,notify,payment', 'hide_login' => 1, 'language' => $config['language'], 'firstname' => $aOrder['sFirstName'], 'lastname' => $aOrder['sLastName'], 'address' => $aOrder['sStreet'], 'phone_number' => $aOrder['sPhone'], 'postal_code' => $aOrder['sZipCode'], 'city' => $aOrder['sCity'], 'amount' => $fOrderSummary, 'currency' => $config['currency_symbol'], 'detail1_description' => 'ID:', 'detail1_text' => $iOrder, 'transaction_id' => $iSessionId, 'pay_from_email' => $aOrder['sEmail'], 'payment_methods' => $aOrder['mPaymentChannel'], 'merchant_fields' => 'platform', 'platform' => '21889050' );
  }
  elseif( $aOrder['iPaymentSystem'] == 7 ){ // buckaroo
    $sBPEMode = 0; // 0 - normal, 1 - test mode
    $sBPESignature2 = md5( trim($config['buckaroo_id']).$iOrder.$iAmount.$config['currency_symbol'].$sBPEMode.trim($config['buckaroo_key']) );
    $sGatewayUrl = 'https://payment.buckaroo.nl/sslplus/request_for_authorization.asp';
    $aPaymentFields = Array( 'BPE_Merchant' => $config['buckaroo_id'], 'BPE_Amount' => $iAmount, 'BPE_Currency' => $config['currency_symbol'], 'BPE_Description' => 'ID '.$iOrder, 'BPE_Language' => $config['language'], 'BPE_Mode' => $sBPEMode, 'BPE_Signature2' => $sBPESignature2, 'BPE_Invoice' => $iOrder, 'BPE_Return_Success' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=OK', 'BPE_Return_Reject' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL', 'BPE_Return_Error' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL', 'BPE_Return_Method' => 'get' );
  }
  elseif( $aOrder['iPaymentSystem'] == 8 ){ // eservice
    $sToken = throwEserviceToken( $iOrder, $fOrderSummary );
    $sGatewayUrl = 'https://pay.eservice.com.pl/fim/eservicegate';
    $aPaymentFields = Array( 'ClientId' => $config['eservice_id'], 'StoreType' => '3d_pay_hosting', 'Token' => $sToken, 'TranType' => 'Auth', 'Total' => $fOrderSummary, 'Currency' => '985', 'OrderId' => $iOrder, 'ConsumerName' => $aOrder['sFirstName'], 'ConsumerSurname' => $aOrder['sLastName'], 'okUrl' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=OK', 'failUrl' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL', 'lang' => $config['language'] );
  }
  elseif( $aOrder['iPaymentSystem'] == 9 ){ // transferuj
    $sMd5Sum = md5( trim($config['transferuj_id']).$fOrderSummary.$iSessionId.trim($config['transferuj_code']) );
    $sGatewayUrl = 'https://secure.transferuj.pl';
    $aPaymentFields = Array( 'id' => $config['transferuj_id'], 'kwota' => $fOrderSummary, 'opis' => $lang['Order'].' '.$lang['Id'].' '.$iOrder, 'crc' => $iSessionId, 'md5sum' => $sMd5Sum, 'pow_url' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=OK', 'pow_url_blad' => $aUrl['sHomeUrl'].'?,return,payment&amp;status=FAIL', 'wyn_url' => $aUrl['sHomeUrl'].'?,notify,payment', 'email' => $aOrder['sEmail'], 'nazwisko' => $aOrder['sFirstName'].' '.$aOrder['sLastName'], 'adres' => $aOrder['sStreet'], 'miasto' => $aOrder['sCity'], 'kod' => $aOrder['sZipCode'], 'telefon' => $aOrder['sPhone'] );
  }
  elseif(in_array($aOrder['iPaymentSystem'], array(42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62))){ // iDEAL Checkout
	

	$aPaymentOptions = array(
'42' => 'mistercash',
'43' => 'ideal',
'44' => 'afterpay',
'45' => 'authorized transfer',
'46' => 'cartebleue',
'47' => 'clickandbuy',
'48' => 'creditcard',
'49' => 'directebanking',
'50' => 'ebon',
'51' => 'fasterpay',
'52' => 'giropay',
'53' => 'maestro',
'54' => 'manualtransfer',
'55' => 'mastercard',
'56' => 'minitix',
'57' => 'paypal',
'58' => 'paysafecard',
'59' => 'postepay',
'60' => 'visa',
'61' => 'vpay',
'62' => 'webshopgiftcard');


	$sPaymentMethod = array_search($aOrder['iPaymentSystem'], $aPaymentOptions);


	// Load gateway setings
	require_once(dirname(dirname(dirname(__FILE__))) . '/idealcheckout/includes/library.php');

	$aDatabaseSettings = idealcheckout_getDatabaseSettings();

	$sStoreCode = idealcheckout_getStoreCode();
	$sGatewayCode = $sPaymentMethod;
	$sLanguageCode = 'nl'; // nl, de, en
	$sCountryCode = '';
	$sCurrencyCode = 'EUR';

	$sOrderId = $iOrder;
	$sOrderCode = idealcheckout_getRandomCode(32);
	$aOrderParams = array();
	$sTransactionId = idealcheckout_getRandomCode(32);
	$sTransactionCode = idealcheckout_getRandomCode(32);
	$fTransactionAmount = round($fOrderSummary, 2);
	$sTransactionDescription = idealcheckout_getTranslation($sLanguageCode, 'idealcheckout', 'Webshop order #{0}', array($sOrderId));

	$sReturnUrl = $aUrl['sHomeUrl'] . '?,return,payment&order_id=' . urlencode($sOrderId) . '&order_code=' . urlencode($sOrderCode);

	$sTransactionPaymentUrl = '';
	$sTransactionSuccessUrl = $sReturnUrl;
	$sTransactionPendingUrl = $sReturnUrl;
	$sTransactionFailureUrl = $sReturnUrl;
	$aTransactionParams = array();

	// Insert into #_transactions
	$sql = "INSERT INTO `" . $aDatabaseSettings['table'] . "` SET 
`id` = NULL, 
`order_id` = '" . idealcheckout_escapeSql($sOrderId) . "', 
`order_code` = '" . idealcheckout_escapeSql($sOrderCode) . "', 
`order_params` = '" . idealcheckout_escapeSql(idealcheckout_serialize($aOrderParams)) . "', 
`store_code` = " . (empty($sStoreCode) ? "NULL" : "'" . idealcheckout_escapeSql($sStoreCode) . "'") . ", 
`gateway_code` = '" . idealcheckout_escapeSql($sGatewayCode) . "', 
`language_code` = " . (empty($sLanguageCode) ? "NULL" : "'" . idealcheckout_escapeSql($sLanguageCode) . "'") . ", 
`country_code` = " . (empty($sCountryCode) ? "NULL" : "'" . idealcheckout_escapeSql($sCountryCode) . "'") . ", 
`currency_code` = '" . idealcheckout_escapeSql($sCurrencyCode) . "', 
`transaction_id` = '" . idealcheckout_escapeSql($sTransactionId) . "', 
`transaction_code` = '" . idealcheckout_escapeSql($sTransactionCode) . "', 
`transaction_params` = NULL, 
`transaction_date` = '" . idealcheckout_escapeSql(time()) . "', 
`transaction_amount` = '" . idealcheckout_escapeSql($fTransactionAmount) . "', 
`transaction_description` = '" . idealcheckout_escapeSql($sTransactionDescription) . "', 
`transaction_status` = NULL, 
`transaction_url` = NULL, 
`transaction_payment_url` = '" . idealcheckout_escapeSql($sTransactionPaymentUrl) . "', 
`transaction_success_url` = '" . idealcheckout_escapeSql($sTransactionSuccessUrl) . "', 
`transaction_pending_url` = '" . idealcheckout_escapeSql($sTransactionPendingUrl) . "', 
`transaction_failure_url` = '" . idealcheckout_escapeSql($sTransactionFailureUrl) . "', 
`transaction_log` = NULL;";
	
	idealcheckout_database_query($sql);

	$aPaymentFields = array('id' => $aOrder['iPaymentSystem']);
	$sGatewayUrl = htmlspecialchars(idealcheckout_getRootUrl() . 'idealcheckout/setup.php?order_id=' . urlencode($sOrderId) . '&order_code=' . urlencode($sOrderCode));
    
/*
	$sIdealButton = '<input type="button" value="Afrekenen" onclick="javascript: document.location.href=\'' . htmlspecialchars(idealcheckout_getRootUrl() . 'idealcheckout/setup.php?order_id=' . urlencode($sOrderId) . '&order_code=' . urlencode($sOrderCode)) . '\';">';

	// Try to add button in payment description
	if($iStrPos = strpos(strtolower($sOrder), '{' . $sPaymentMethod . ':button}'))
	{
		$sOrder = substr($sOrder, 0, $iStrPos) . $sIdealButton . substr($sOrder, $iStrPos + strlen('{' . $sPaymentMethod . ':button}'));
	}
	else
	{
		// Add button at the bottom
		$sOrder .= '<p align="center">&nbsp;<br>' . $sIdealButton . '</p>';
	}
*/



}
  
  foreach( $aPaymentFields as $sKey => $sValue ){
    $sPaymentOuterForm .= '<input type="hidden" name="'.$sKey.'" value="'.$sValue.'" />'."\n";
  } // end foreach
  if( !empty( $sPaymentOuterForm ) ){
    $sPaymentOuter = '<div id="paymentOuter">
      <form action="'.$sGatewayUrl.'" method="post" id="formPayment">
        <fieldset>'.$sPaymentOuterForm.'</fieldset>
      </form>
      <script type="text/javascript">if( document.getElementById( \'formPayment\' ) ) setTimeout( "document.getElementById( \'formPayment\' ).submit()", 15000 );</script>
      <div id="authWindow"><a href="#" onclick="document.getElementById( \'formPayment\' ).submit();">&raquo; '.$lang['Make_a_payment'].' &laquo;</a></div>
    </div>';
  }
}

$aPayment = $oOrder->throwPaymentShipping( $aOrder['iPayment'] );

?>